Categories
Microsoft PowerShell

Update-Module : A parameter cannot be found that matches parameter name ‘AllowPrerelease’

I was updating BcContainerHelper PowerShell module from version from 1.0.8 to 1.0.9 when I received the following error message

##[error]Update-Module : A parameter cannot be found that matches parameter name ‘AllowPrerelease’.

Solution:
Run PowerShell as Administrator and execute the following command

[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12
Install-Module -Name PowerShellGet -Repository PSGallery -Force  

If this message was received in a DevOps build Pipeline, then you need to execute it in the server where the Agent is installed.

Did my solution solve your problem? Leave a reply.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.